sidebarLayout {shiny} | R Documentation

## Layout a sidebar and main area

### Description

Create a layout with a sidebar and main area. The sidebar is displayed with a distinct background color and typically contains input controls. The main area occupies 2/3 of the horizontal width and typically contains outputs.

### Usage

    sidebarLayout(sidebarPanel, mainPanel, position = c("left", "right"),
      fluid = TRUE)

### Arguments

`sidebarPanel` | The sidebarPanel containing input controls
`mainPanel` | The mainPanel containing outputs
`position` | The position of the sidebar relative to the main area ("left" or "right")
`fluid` | `TRUE` to use fluid layout; `FALSE` to use fixed layout.

### Examples

    ## Only run examples in interactive R sessions
    if (interactive()) {
    options(device.ask.default = FALSE)

    # Define UI
    ui <- fluidPage(

      # Application title
      titlePanel("Hello Shiny!"),

      sidebarLayout(

        # Sidebar with a slider input
        sidebarPanel(
          sliderInput("obs",
                      "Number of observations:",
                      min = 0,
                      max = 1000,
                      value = 500)
        ),

        # Show a plot of the generated distribution
        mainPanel(
          plotOutput("distPlot")
        )
      )
    )

    # Server logic
    server <- function(input, output) {
      output$distPlot <- renderPlot({
        hist(rnorm(input$obs))
      })
    }

    # Complete app with UI and server components
    shinyApp(ui, server)
    }

[Package shiny version 1.0.3 Index]